Skip to navigation

Pre Encounter Lists V 1 Get Appointment List

Searches for appointments that match the query parameters.

Authentication

AuthorizationBearer
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

Query parameters

sort_fieldstringOptional
Defaults to appointment.startTimestamp.
sort_directionenumOptional
Defaults to asc.
Allowed values:
limitintegerOptional
Defaults to 100.
page_tokenstringOptional
A token that can be used to retrieve the next or previous page of results
filtersstringOptional

A serialized list of filters separated by commas indicating filters to apply. Each filter is of the form ‘path:operator:value’. Example: ‘patient.mrn|eq|12345’. Filters are separated by commas. Example: ‘patient.mrn|eq|12345,appointment.startDate|gt|67890’. All filters are ANDed together. Valid operators are ‘eq’, ‘gt’, ‘lt’, ‘contains’, ‘ieq’, ‘in’. ieq is a case-insensitive equality operator. in allows searching for values that match any item in a semicolon-separated list (e.g., ‘patient.id|in|foo;bar;baz’). Path values are camelCase.

include_deactivatedbooleanOptional
If true, includes deactivated appointments in the results. Defaults to false.
include_merged_patient_databooleanOptional
If true and a patient id is specified, then also include appointments from any alternative patients that are merged into this patient. Defaults to false.

Response

itemslist of objects
totalinteger
next_page_tokenstring or nullOptional
A token that can be used to retrieve the next or previous page of results
prev_page_tokenstring or nullOptional
A token that can be used to retrieve the next or previous page of results